- Main Page
- Modules
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# FixedSimulationObject Class Reference

`#include <FixedSimulationObject.h>`

Inheritance diagram for FixedSimulationObject:

List of all members.

## Public Member Functions
| FixedSimulationObject (const dVector3 size, const dVector3 pos, const dReal direction, const dReal weight=dInfinity)
virtual | ~FixedSimulationObject ()
void | setCollisionSpace (dSpaceID space)
void | removeCollisionSpace (dSpaceID space)
virtual void | visualize ()=0
## Protected Attributes
dGeomID | _geom
dBodyID | _body
dVector3 | _size

## Detailed Description

Class representing fixed simulation object i.e. object which doesn't change its physical properties through time. Fixed simulation objects can still be animated, i.e. have their state (and visualization) changed over time.

## Constructor & Destructor Documentation

FixedSimulationObject::FixedSimulationObject | ( | const dVector3 | size,
|  | const dVector3 | pos,
|  | const dReal | direction,
|  | const dReal | weight = `dInfinity` |
| ) |  |  |

Constructor

Parameters:

  | size | object's size
  | pos | object's position
  | rot | object's rotation
  | weight | object's weight (infinite if ommited)

FixedSimulationObject::~FixedSimulationObject | ( |  | ) | `[virtual]`

## Member Function Documentation

void FixedSimulationObject::removeCollisionSpace | ( | dSpaceID | space | ) | `[inline]`

Removes the object from it's actual collision space

void FixedSimulationObject::setCollisionSpace | ( | dSpaceID | space | ) | `[inline]`

Sets the collision space for the object If not given at all, the object is ommited from collisions

virtual void FixedSimulationObject::visualize | ( |  | ) | `[pure virtual]`

Performs visualization. Respective child classes need to implement themselves.

Implements Visualized.

Implemented in Building.

## Member Data Documentation

dBodyID FixedSimulationObject::_body`[protected]`

Internal ODE body

dGeomID FixedSimulationObject::_geom`[protected]`

Internal ODE geom

dVector3 FixedSimulationObject::_size`[protected]`

Object's size

The documentation for this class was generated from the following files:

- src/sim/FixedSimulationObject.h
- src/sim/FixedSimulationObject.cpp